NIOAsynchChannelSelectorManager (ActiveIO 1.0 API)
Keywords: org.activeio.net.NIOAsynchChannelSelectorManager class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.net
Class NIOAsynchChannelSelectorManager

    java.lang.Object
      org.activeio.net.NIOAsynchChannelSelectorManager

public final class NIOAsynchChannelSelectorManager
extends java.lang.Object

The SelectorManager will manage one Selector and the thread that checks the selector. We may need to consider running more than one thread to check the selector if servicing the selector takes too long.

Version:
  $Rev: 46019 $ $Date: 2004-09-14 05:56:06 -0400 (Tue, 14 Sep 2004) $

Nested Class Summary
`static interface` | `NIOAsynchChannelSelectorManager.SelectorManagerListener`
`class` | `NIOAsynchChannelSelectorManager.SocketChannelAsynchChannelSelection`

Method Summary
`static NIOAsynchChannelSelectorManager.SocketChannelAsynchChannelSelection` | `register(java.nio.channels.SocketChannel socketChannel, NIOAsynchChannelSelectorManager.SelectorManagerListener listener)`
`static void` | `setChannelExecutor(EDU.oswego.cs.dl.util.concurrent.Executor executor)`
`static void` | `setSelectorExecutor(EDU.oswego.cs.dl.util.concurrent.Executor executor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### register

    public static NIOAsynchChannelSelectorManager.SocketChannelAsynchChannelSelection register(java.nio.channels.SocketChannel socketChannel,
                                                                                               NIOAsynchChannelSelectorManager.SelectorManagerListener listener)
                                                                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### setSelectorExecutor

    public static void setSelectorExecutor(EDU.oswego.cs.dl.util.concurrent.Executor executor)

### setChannelExecutor

    public static void setChannelExecutor(EDU.oswego.cs.dl.util.concurrent.Executor executor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.